## org.eclipse.amp.amf.sd.provider
Class SdItemProviderAdapterFactory.MetaABMChildCreationExtender.CreationSwitch

    java.lang.Object
      org.metaabm.util.MetaABMSwitch<java.lang.Object>
          org.eclipse.amp.amf.sd.provider.SdItemProviderAdapterFactory.MetaABMChildCreationExtender.CreationSwitch

Enclosing class:
  SdItemProviderAdapterFactory.MetaABMChildCreationExtender

    protected static class SdItemProviderAdapterFactory.MetaABMChildCreationExtender.CreationSwitch

extends MetaABMSwitch<java.lang.Object>

The switch for creating child descriptors specific to each extended class.

Field Summary
`protected org.eclipse.emf.edit.domain.EditingDomain` `editingDomain` The domain in which to create the children.
`protected java.util.List<java.lang.Object>` `newChildDescriptors` The child descriptors being populated.

Fields inherited from class org.metaabm.util.MetaABMSwitch
`modelPackage`

Method Summary
`java.lang.Object` `caseSAgent(SAgent object)`
`protected org.eclipse.emf.edit.command.CommandParameter` `createChildParameter(java.lang.Object feature, java.lang.Object child)`

Methods inherited from class org.metaabm.util.MetaABMSwitch

`caseIAct, caseIAgentChild, caseIArtifact, caseIAttributeChild, caseIID, caseIModelExtension, caseITyped, caseITypedArray, caseIValue, caseSActable, caseSAttribute, caseSAttributeArray, caseSAttributed, caseSContext, caseSContinuousSpace, caseSGeography, caseSGrid, caseSImplementation, caseSImplemented, caseSNamed, caseSNDimensional, caseSNetwork, caseSProjection, caseSState, caseSStateValue, caseSStyle, caseSStyle2D, caseSStyle3D, caseSStyleShape, caseSValueLayer, defaultCase, doSwitch, doSwitch, doSwitch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newChildDescriptors

    protected java.util.List<java.lang.Object> newChildDescriptors

  The child descriptors being populated.

### editingDomain

    protected org.eclipse.emf.edit.domain.EditingDomain editingDomain

  The domain in which to create the children.

Method Detail

### caseSAgent

    public java.lang.Object caseSAgent(SAgent object)

  Overrides:
    `caseSAgent` in class `MetaABMSwitch<java.lang.Object>`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SAgent'.
  See Also:
    `doSwitch(EObject)`

### createChildParameter

    protected org.eclipse.emf.edit.command.CommandParameter createChildParameter(java.lang.Object feature,
                                                                                 java.lang.Object child)